#Plane of water message 2
from eventAPI import *
from APIUtils import *

rtpofireTree = 0

def fireEvent(e):
   global rtpofireTree
   rtpofireTree = getTag(e, "rtpofireTree")
   if (rtpofireTree == 2):
      getWater(e)
   else:
      return 1


def getWater(e):
   text = ["You gaze into the calm water for a long time before you suddenly realize that this is the pool of water that Sir Blackwood was referring to."]
   optionTexts = ["(Y)es", "(N)o"]
   optionsKeys = [SDLK_y, SDLK_n]
   text.extend(["", "Will you obtain some of this water for Sir Blackwood?"])
   if (optionInput(e, text, optionTexts, optionsKeys) == SDLK_y):
      showMessage(e, ["You kneel by the waters edge and fill every container at your disposal with the clear water."])
      rtpofireTree=3
      setTag(e, "rtpofireTree", rtpofireTree)
